Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Class Members | File Members

# GFP2_ONB< F > Class Template Reference

`#include <xtr.h>`

Inheritance diagram for GFP2_ONB< F >:

List of all members.

## Detailed Description

### template<class F>
class GFP2_ONB< F >

GF(p^2), optimal normal basis.

Definition at line 43 of file xtr.h.

## Public Types
typedef F | BaseField
typedef GFP2Element | Element
## Public Member Functions
| GFP2_ONB (const Integer &p)
const Integer & | GetModulus () const
GFP2Element | ConvertIn (const Integer &a) const
GFP2Element | ConvertIn (const GFP2Element &a) const
GFP2Element | ConvertOut (const GFP2Element &a) const
bool | Equal (const GFP2Element &a, const GFP2Element &b) const
const Element & | Identity () const
const Element & | Add (const Element &a, const Element &b) const
const Element & | Inverse (const Element &a) const
const Element & | Double (const Element &a) const
const Element & | Subtract (const Element &a, const Element &b) const
Element & | Accumulate (Element &a, const Element &b) const
Element & | Reduce (Element &a, const Element &b) const
bool | IsUnit (const Element &a) const
const Element & | MultiplicativeIdentity () const
const Element & | Multiply (const Element &a, const Element &b) const
const Element & | MultiplicativeInverse (const Element &a) const
const Element & | Square (const Element &a) const
Element | Exponentiate (const Element &a, const Integer &e) const
const Element & | PthPower (const Element &a) const
void | RaiseToPthPower (Element &a) const
const Element & | SpecialOperation1 (const Element &a) const
const Element & | SpecialOperation2 (const Element &x, const Element &y, const Element &z) const
virtual const Element & | Divide (const Element &a, const Element &b) const
virtual Element | CascadeExponentiate (const Element &x, const Integer &e1, const Element &y, const Integer &e2) const
virtual void | SimultaneousExponentiate (Element *results, const Element &base, const Integer *exponents, unsigned int exponentsCount) const
virtual const AbstractGroup< GFP2Element > & | MultiplicativeGroup () const
virtual bool | Equal (const Element &a, const Element &b) const=0
virtual bool | InversionIsFast () const
virtual Element | ScalarMultiply (const Element &a, const Integer &e) const
virtual Element | CascadeScalarMultiply (const Element &x, const Integer &e1, const Element &y, const Integer &e2) const
virtual void | SimultaneousMultiply (Element *results, const Element &base, const Integer *exponents, unsigned int exponentsCount) const
## Protected Attributes
BaseField | modp
GFP2Element | result
Integer | t

The documentation for this class was generated from the following file:

- xtr.h